Bug 866926 - Create index for the foreign key constraint on the JBPM_TASKINSTANCE.PROCINST_ column
Create index for the foreign key constraint on the JBPM_TASKINSTANCE.PROCINST...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - standalone, JBPM - within SOA (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity high
: ER4
: 5.3.1
Assigned To: Shelly McGowan
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 06:41 EDT by Martin Weiler
Modified: 2016-09-20 01:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users have been experiencing deadlocks in JBPM due to a missing index. Deadlocks are now avoided with the addition of a new index according to the following: # the foreign key constraint (already present in jBPM ddl script): alter table JBPM_TASKINSTANCE add constraint FK_TSKINS_PRCINS foreign key (PROCINST_) references JBPM_PROCESSINSTANCE; # new index to add to the schema: create index IDX_TASKINST_PRCINS on JBPM_TASKINSTANCE (PROCINST_);
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Weiler 2012-10-16 06:41:24 EDT
Description of problem:
We are experiencing problems due to a lock on JBPM DB. We persist JBPM on Oracle 11.2.0.2.0.
The problem may be related to a missing index, we added the following index:
# the foreign key constraint (already present in jBPM ddl script):
alter table JBPM_TASKINSTANCE add constraint FK_TSKINS_PRCINS foreign key (PROCINST_) references JBPM_PROCESSINSTANCE;

# new index to add to the schema:
create index IDX_TASKINST_PRCINS on JBPM_TASKINSTANCE (PROCINST_);
Comment 2 Marco Rietveld 2012-12-06 06:30:29 EST
Added the index, but the way they word the problem makes me curious as to whether or not this actually was the solution (for them): 

"The problem may be related to a missing index" (emphasis on may.. ). 

However, knowing jBPM 3 and it's DB schema, I wouldn't be all that surprised.
Comment 3 Ivo Bek 2013-02-01 04:24:59 EST
Verified in SOA-P-5.3.1.ER4

Note You need to log in before you can comment on or make changes to this bug.